> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Questions Batch

Create or update multiple questions in a single request. Efficient for bulk operations.


## OpenAPI

````yaml POST /api/v1/questions/batch
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/questions/batch:
    post:
      tags:
        - Questions
      summary: Create Questions Batch
      operationId: create_questions_batch_api_v1_questions_batch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBatchQuestionsReqV1'
            example:
              questions:
                - study_id: study_123
                  content: Question 1
                  type: text
                - study_id: study_123
                  content: Question 2
                  type: choice
                  props:
                    options:
                      - A
                      - B
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBatchQuestionsResponseV1'
              example:
                created_question_ids:
                  - q_123
                  - q_124
                updated_question_ids:
                  - q_100
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateBatchQuestionsReqV1:
      properties:
        questions:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Questions
      type: object
      required:
        - questions
      title: CreateBatchQuestionsReqV1
    CreateBatchQuestionsResponseV1:
      properties:
        created_question_ids:
          items:
            type: string
          type: array
          title: Created Question Ids
        updated_question_ids:
          items:
            type: string
          type: array
          title: Updated Question Ids
      type: object
      required:
        - created_question_ids
        - updated_question_ids
      title: CreateBatchQuestionsResponseV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````